From: Junio C Hamano <gitster@pobox.com>
To: git@vger.kernel.org
Subject: [PATCH 04/11] t4032: make test "set -e" clean
Date: Tue, 24 Mar 2026 23:21:07 -0700 [thread overview]
Message-ID: <20260325062114.2067946-5-gitster@pobox.com> (raw)
In-Reply-To: <20260325062114.2067946-1-gitster@pobox.com>
In order to catch mistakes like misspelling "test_expect_success",
we would like to eventually be able to run our test suite with the
"-e" option on.
A few shell construct used in this test were not ready. Make them
so.
* "git config --unset VAR" can fail when VAR is not defined.
* The author of "test -f X && run test that uses X" written here
really wanted to say "if file X is there, then run the test", not
"file X must exist and the test using it must succeed". The
proper way to express it is to say "test ! -f X || use X".
Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
t/t4032-diff-inter-hunk-context.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/t/t4032-diff-inter-hunk-context.sh b/t/t4032-diff-inter-hunk-context.sh
index bada0cbd32..efcd863126 100755
--- a/t/t4032-diff-inter-hunk-context.sh
+++ b/t/t4032-diff-inter-hunk-context.sh
@@ -17,7 +17,7 @@ f() {
t() {
use_config=
- git config --unset diff.interHunkContext
+ git config --unset diff.interHunkContext || :
case $# in
4) hunks=$4; cmd="diff -U$3";;
@@ -40,7 +40,7 @@ t() {
test $(git $cmd $file | grep '^@@ ' | wc -l) = $hunks
"
- test -f $expected &&
+ test ! -f $expected ||
test_expect_success "$label: check output" "
git $cmd $file | grep -v '^index ' >actual &&
test_cmp $expected actual
--
2.53.0-886-g529cbd14ff
next prev parent reply other threads:[~2026-03-25 6:21 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-03-25 6:21 [PATCH 00/11] detect misspelt test_expect_success and friends Junio C Hamano
2026-03-25 6:21 ` [PATCH 01/11] test-lib: catch misspelt 'test_expect_successo' Junio C Hamano
2026-03-26 4:08 ` Jeff King
2026-03-26 14:27 ` Junio C Hamano
2026-03-26 17:29 ` Jeff King
2026-03-27 7:53 ` Patrick Steinhardt
2026-03-27 18:11 ` Junio C Hamano
2026-03-25 6:21 ` [PATCH 02/11] t0008: make test "set -e" clean Junio C Hamano
2026-03-25 6:21 ` [PATCH 03/11] t6002: " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 15:45 ` Junio C Hamano
2026-03-25 6:21 ` Junio C Hamano [this message]
2026-03-25 7:15 ` [PATCH 04/11] t4032: " Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 05/11] t7450: " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 06/11] tests: make svn " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 07/11] t7508: make " Junio C Hamano
2026-03-25 6:21 ` [PATCH 08/11] t9200: " Junio C Hamano
2026-03-25 7:16 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 09/11] t940?: " Junio C Hamano
2026-03-25 6:21 ` [PATCH 10/11] t5570: " Junio C Hamano
2026-03-25 7:16 ` Patrick Steinhardt
2026-03-25 15:50 ` Junio C Hamano
2026-03-25 6:21 ` [PATCH 11/11] t9902: " Junio C Hamano
2026-03-25 7:08 ` [PATCH 00/11] detect misspelt test_expect_success and friends Patrick Steinhardt
2026-03-25 13:47 ` Junio C Hamano
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20260325062114.2067946-5-gitster@pobox.com \
--to=gitster@pobox.com \
--cc=git@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox